# Class CytoscapeRaster

aligns the nodes from the application object tree on a raster

- Defined in packages/saltcorn-data/diagram/cy_raster.ts:8

##### Index

### Constructors

constructor

### Properties

viewTblIds

### Methods

addLink
addNode
buildCyEdges
buildCyNodes
colsCount
hasId
rowsCount

## Constructors

### constructor

- new CytoscapeRaster(extracted: ExtractResult): CytoscapeRaster

  #### Parameters

  - extracted: ExtractResult

  #### Returns CytoscapeRaster

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:14

## Properties

### viewTblIds

viewTblIds: Set<string>

- Defined in packages/saltcorn-data/diagram/cy_raster.ts:12

## Methods

### addLink

- addLink(source: Node, target: Node, type: LinkType): void

  #### Parameters

  - source: Node
  - target: Node
  - type: LinkType

  #### Returns void

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:58

### addNode

- addNode(node: Node, row: number, col: number): void

  #### Parameters

  - node: Node
  - row: number
  - col: number

  #### Returns void

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:52

### buildCyEdges

- buildCyEdges(): any[]

  builds cytoscape.js edges with 'data'

  #### Returns any[]

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:97

### buildCyNodes

- buildCyNodes(): any[]

  builds cytoscape.js nodes with 'data' and 'position'

  #### Returns any[]

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:70

### colsCount

- colsCount(): number

  #### Returns number

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:114

### hasId

- hasId(cyId: string): boolean

  #### Parameters

  - cyId: string

  #### Returns boolean

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:118

### rowsCount

- rowsCount(): number

  #### Returns number

  - Defined in packages/saltcorn-data/diagram/cy_raster.ts:110